using Orchard.Data;
using Orchard.ContentManagement.Handlers;
using CloudConstruct.AppleTouchIcon.Models;

namespace CloudConstruct.AppleTouchIcon.Handlers {
    public class AppleTouchIconSettingsPartHandler : ContentHandler {
        public AppleTouchIconSettingsPartHandler(IRepository<AppleTouchIconSettingsPartRecord> repository) {
            Filters.Add(new ActivatingFilter<AppleTouchIconSettingsPart>("Site"));
            Filters.Add(StorageFilter.For(repository));
        }
    }
}